Welcome to our new forum
All users of the legacy CODESYS Forums, please create a new account at account.codesys.com. But make sure to use the same E-Mail address as in the old Forum. Then your posts will be matched. Close

Codesys Installer can't find the Control SL Extension Package

welu
2022-03-02
2022-06-16
  • welu

    welu - 2022-03-02

    Hello,

    if I want to install the "Control for Raspberry Pi" Version 4.4.0.0 the Codesys Installer can't find the "Control SL Extension Package" Version 4.0.0.0 .

    Cannot find the package as download option for manual installation!
    Thanks for a hint how to resolve.

    Regards
    Werner

     
  • eschwellinger

    eschwellinger - 2022-03-02

    Hi Werner,
    this is meanwhile solved, this Extension Package was not on the deployment server, which has caused this message.
    Now it works.
    Regards
    Edwin

     
  • welu

    welu - 2022-03-02

    Perfect, Thanks for the fast fix.

     
  • wmichels

    wmichels - 2022-03-03

    Hello,

    I get the same issue now with the Linux SL version. The Codesys Installer can't find the "Control SL Extension Package" Version 4.0.0.0

    Thanks,
    best regards
    Willi

     
  • ileon94

    ileon94 - 2022-03-03

    Hi, I have the same problem. I installed the edge gateway for linux package but i am still missing the "control sl extension package"

    Thanks in advance.
    Regards.
    Israel.

     
  • eschwellinger

    eschwellinger - 2022-03-03

    but it is available do you see this in the CODESYS installer?

     
    πŸ‘
    1
    • ileon94

      ileon94 - 2022-03-04

      Thank you very much. You are right, I was not using the installer and now it is working.

       
  • wmichels

    wmichels - 2022-03-04

    So now it worked. I was still on the Patch 2. I updated my IDE to Patch 3 and then it worked.

     
  • kolkmvd

    kolkmvd - 2022-04-13

    I am in the same trouble with a clean install of Codesys 3.5.18. I cannot find/open the CodeSys installer anymore, was it dropped in this version? I had it in 3.5.17 SP3. There used to be a "Codesys installer" item in the Tools menu. That is gone too...

     
  • eschwellinger

    eschwellinger - 2022-04-13

    here?
    "c:\Program Files (x86)\CODESYS\APInstaller\APInstaller.GUI.exe"

     
  • kolkmvd

    kolkmvd - 2022-04-13

    That folder was empty. But for some unknown reason, when running the installer again(!) and after a clean boot, it did install the AppInstaller and I could install the Control SL Extension Package. Sorry for the trouble, but it is working now.

     
  • kolkmvd

    kolkmvd - 2022-04-13

    Also with the AppInstaller, it found all the dependencies on the PLC control and I did not have to worry about the extension packages. Great!

     
  • ara1960

    ara1960 - 2022-05-26

    Hi,I am in the same trouble with a clean install of Codesys 3.5.18. After I installed the edge gateway for linux package but i am still missing the "control sl extension package"

    Thanks in advance.

     
  • ara1960

    ara1960 - 2022-05-26

    That folders.

     
  • ara1960

    ara1960 - 2022-05-29

    Hi, CODESYS Control SL Extension Package 4.4.0.0 on website store.codesys.com impossible to find. After installation CODESYS 3.18 folder missing "C:/<user>/CODESYS Control SL Extension Package/4.4.0.0/". Since such difficulties are not only mine, it may be easier to place this package on the site?</user>

     
  • eschwellinger

    eschwellinger - 2022-05-29

    "c:\Program Files (x86)\CODESYS\APInstaller\APInstaller.GUI.exe" -> use the CODESYS Installer to find and install the package...

     

    Last edit: eschwellinger 2022-05-30
  • ara1960

    ara1960 - 2022-06-16

    Hi! Yes, I installed "CODESYS Edge Gateway for Linux" using "c:\Program Files (x86)\CODESYS\APInstaller\APInstaller.GUI.exe". After installation, the installed package C:\Users\CODESYS Edge Gateway for Linux was displayed in the folder. But the problem is that after installing CODESYS 3.18, there is no "C:/Users /Ara /CODESYS Control SL Extension Package/4.4.0.0/" in the folder...
    This package does not exist in C:\Program Files\CODESYS 3.5.18.0\CODESYS

     

Log in to post a comment.